# -*- coding: utf-8 -*-
##############################################################################
#	(c)2023 by Oberhesse and schomi (contact: vuplus-support.org)
#	CLOSED SOURCE
#	for VTi only
##############################################################################
from Plugins.Plugin import PluginDescriptor
from .__init__ import _

pname = "VTi Config Helper"
pdesc = _("Configuration Search for VTi", "Konfigurationssuche für VTi" )
pversion = "1.2"
pdate = "20230212"

def debug(s, flag="a" ): pass
#f=open( "/usr/lib/enigma2/python/Plugins/Extensions/VTiConfigHelper/debug.txt", flag);  f.write( str(s)+'\n'); f.close()

def startSearch (session, **kwargs): 
	#from VTiConfigHelper import VTiConfigHelper;  session.open(VTiConfigHelper,0); return
	try:
		import platform
		if (platform.machine().lower().find('mips')>=0):  
			from Plugins.Extensions.VTiConfigHelper.mipsel import VTiConfigHelper
		else:  
			from Plugins.Extensions.VTiConfigHelper.armv7 import VTiConfigHelper
		session.open(VTiConfigHelper.VTiConfigHelper,0)
	except Exception as e: debug(e)
	

def Plugins(**kwargs):
	res = [
			PluginDescriptor(
			name = pname, 
			description = pdesc, 
			where = [PluginDescriptor.WHERE_PLUGINMENU],
			needsRestart = True,
			fnc = startSearch,
			icon = "confighelper.png"  )
			]
	return res
			

		